net.sourceforge.pmd.dfa

## Class GeneralFiddlingTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.dfa.GeneralFiddlingTest

    public class GeneralFiddlingTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`GeneralFiddlingTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `test1()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneralFiddlingTest

    public GeneralFiddlingTest()

### Method Detail

#### test1

    public void test1()
               throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()